function auth(){  //鉴权
    return new Promise((resolve,reject)=>{
      uni.login({
        provider: 'weixin', //使用微信登录
        onlyAuthorize: true, //不弹出授权页面，直接进入微信登录流程
        success(res){
          if(res.errMsg=="login:ok"){
            resolve(res.code)
         }else{
           uni.showToast({
            title:res.errMsg,
            icon:'error'
          })
         }
        },
        fail(err){
          reject(err)
        }
      })
    })
  }
  export default auth